mysql_stmt_bind_param(3)

  Name

mysql_stmt_bind_param - Binds parameter to a prepared statement

  Synopsis

    #include <mysql.h>
    my_bool mysql_stmt_bind_param(MYSQL_STMT * stmt,
                                  MYSQL_BIND * bind);

  Description

Binds variables for parameter markers in the prepared statement that was passed to mysql_stmt_prepare(3). Returns zero on success, non-zero on failure.

  Parameters

•   stmt - a statement handle, which was previously allocated by mysql_stmt_init(3).

•   bind - an array of MYSQL_BIND structures. The size of this array must be equal to the number of parameters.

  Notes

•   The number of parameters can be obtained by mysql_stmt_param_count(3).

•   If the number of parameters is unknown, for example when using mariadb_stmt_execute_direct(3), the number of parameters have to be specified with the mysql_stmt_attr_set(3) function.

  See Also

•   mariadb_stmt_execute_direct(3)

•   mysql_stmt_prepare(3)

•   mysql_stmt_bind_result(3)

•   mysql_stmt_execute(3)

•   mysql_stmt_param_count(3)

•   mysql_stmt_send_long_data(3)